#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC5,0x08,0xB0,0x32,0x83,0x39,0x61,0x19,0x6A,0x44,0xBE,0x4B,
		0x5E,0xF8,0xB8,0x1E,0xE7,0x98,0xAC,0xB4,0x81,0xF0,0xB6,0x7F,
		0x96,0x0A,0xBD,0xEE,0xD3,0x3D,0x95,0xC5,0x31,0x5F,0x7E,0x30,
		0x08,0xF7,0x72,0xD3,0x84,0xE4,0x27,0x89,0x97,0xEA,0xDC,0x48,
		0xAC,0xFF,0xFF,0xE1,0x8D,0x47,0x7A,0xBB,0x28,0xB8,0x5B,0x56,
		0xC2,0xC5,0xC3,0xE3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
